<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>成绩分析</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <%@include file="/WEB-INF/views/include/dialog.jsp" %>
    <link rel="stylesheet" type="text/css" href="${ctxStatic}/jBox/Source/jBox.css">
    <script type="text/javascript" src="${ctxStatic}/jBox/Source/jBox.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/echarts/echarts.min.js"></script>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">
	<li><a href="${ctx}/admin/exam/reportSubjectRange">分段统计</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectCollege?subjectCode=${query.subjectCode}" data-i18n-text="report.college">电厂分析</a></li>
    <li class="active"><a href="${ctx}/admin/exam/reportSubjectTeacher?subjectCode=${query.subjectCode}" data-i18n-text="report.teacher">总评分析</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectClass?subjectCode=${query.subjectCode}" data-i18n-text="report.class">机组分析</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectQuestion?subjectCode=${query.subjectCode}&objective=true" data-i18n-text="report.question.objective">客观题分析</a>
    </li>
    <li><a href="${ctx}/admin/exam/reportSubjectQuestion?subjectCode=${query.subjectCode}&objective=false" data-i18n-text="report.question.subjective">主观题分析</a>
    </li>
    <li><a href="${ctx}/admin/exam/reportSubjectGroup?subjectCode=${query.subjectCode}" data-i18n-text="report.group">分组统计分析</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/reportSubjectTeacher" method="post" class="breadcrumb form-search">
	    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
	    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
    <div>
        <label data-i18n-text="report.teacher.subject">科目：</label>
        <select class="input-large" id="subjectCode" name="subjectCode">
            <c:forEach items="${subjectList }" var="subject">
                <option value="${subject.code }"
                        <c:if test="${query.subjectCode eq subject.code }">selected</c:if>>${subject.code}-${subject.name}</option>
            </c:forEach>
        </select>
        <label data-i18n-text="report.teacher.name">总评：</label>
        <input type="text" name="teacherName"  id="teacherName" value="${query.teacherName}" maxlength="10" class="input-small"/>
       &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"  data-i18n-value="report.teacher.search"/>
		&nbsp;
		<!-- <input id="export-button" class="btn" type="button" value="导出"  data-i18n-value="report.teacher.export"/>
		 &nbsp; -->
        <input class="btn btn-primary" type="button" value="查看统计图" onclick="viewTeacherEcharts()"  data-i18n-value="report.teacher.chart"/>
    </div>
</form>
	<form id="exportForm" action="${ctx}/admin/exam/reportSubjectTeacher/export" method="post" class="breadcrumb form-search hide">
        <input type="text" name="subjectCode" value="${query.subjectCode}"  class="input-small"/>
        <input type="text" name="teacherName" value="${query.teacherName}"  class="input-small"/>
	</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th data-i18n-text="report.teacher.name">总评</th>
		<th data-i18n-text="report.subject.totalCount">报考人数</th>
        <th data-i18n-text="report.teacher.realityCount">有效人数</th>
        <th data-i18n-text="report.teacher.passCount">及格</th>
        <th data-i18n-text="report.teacher.excellentCount">优秀</th>
        <th data-i18n-text="report.teacher.maxScore">最高分</th>
        <th data-i18n-text="report.teacher.minScore">最低分</th>
        <th data-i18n-text="report.teacher.passRate">及格率</th>
        <th data-i18n-text="report.teacher.excellentRate">优秀率</th>
        <th data-i18n-text="report.teacher.avgScore">平均分</th>
        <th data-i18n-text="report.teacher.relativeAvgScore">平均相对分</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${list}" var="reportSubjectteacher">
        <tr>
            <td><a href="#" onclick="redirect2Class('${ctx}/admin/exam/reportSubjectTeacherClass',
                    '${reportSubjectteacher.teacherName}',
                ${reportSubjectteacher.examId},
                    '${reportSubjectteacher.subjectCode}')">${reportSubjectteacher.teacherName}</a></td>
			<td>${reportSubjectteacher.totalCount}</td>
            <td>${reportSubjectteacher.realityCount}</td>
            <td>${reportSubjectteacher.passCount}</td>
            <td>${reportSubjectteacher.excellentCount}</td>
            <td>${reportSubjectteacher.maxScore}</td>
            <td>${reportSubjectteacher.minScore}</td>
            <td><fmt:formatNumber type="number" value="${reportSubjectteacher.passRate}" pattern="0.00" maxFractionDigits="2"/></td>
            <td><fmt:formatNumber type="number" value="${reportSubjectteacher.excellentRate}" pattern="0.00" maxFractionDigits="2"/></td>
            <td><fmt:formatNumber type="number" value="${reportSubjectteacher.avgScore}" pattern="0.00" maxFractionDigits="2"/></td>
            <td><fmt:formatNumber type="number" value="${reportSubjectteacher.relativeAvgScore}" pattern="0.00" maxFractionDigits="2"/></td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<script type="text/javascript">
$("#export-button").click(function(){
	if ($("#subjectCode").val() == null || $("#subjectCode").val() == '') {
        alert('请选择科目');
        return;
    }
	$("#exportForm").attr("action","${ctx}/admin/exam/reportSubjectTeacher/export");
	$("#exportForm").submit();
});

    function viewTeacherEcharts() {
        var tearchers = new Array();
        var avgScores = new Array();
        var maxScores = new Array();
        var minScores = new Array();
        var passRates = new Array();
        var excellentRates = new Array();
        var relativeAvgScore = new Array();

        $('tbody tr').each(function (i) {
            $(this).children('td').each(function (j) {
                if(j == 0){
                    tearchers.push($(this).text());
                } else if(j == 9){
                    avgScores.push($(this).text());
                } else if(j == 5){
                    maxScores.push($(this).text());
                } else if(j == 6){
                    minScores.push($(this).text());
                } else if(j == 7){
                    passRates.push($(this).text()*100);
                } else if(j == 8){
                    excellentRates.push($(this).text()*100);
                } else if(j == 10){
                    relativeAvgScore.push($(this).text());
                }
            });
            var width = 800;
            if(i>40){
            	width = 18*i;
            }
            if(i = $('tbody tr').length-1){
            	$("#echart-content").width(width+"px") ;
            }
        });

        var title = '';

        var imageModal = new jBox('Modal');
        imageModal.setWidth($(window).width() * 0.9);
        imageModal.setHeight($(window).height() * 0.85);
        imageModal.setTitle(getMessage("report.teacher"));
        imageModal.setContent($('#echart-view-content'));
        imageModal.open();

        var myChart = echarts.init(document.getElementById('echart-content'));

        // 指定图表的配置项和数据
        var option = {
            title: {
                text: getMessage("report.teacher")
                // textAlign:'center'
            },
            tooltip: {},
            legend: {
                data: [getMessage("report.teacher.maxScore"),
                       getMessage("report.teacher.minScore"),
                       getMessage("report.teacher.avgScore"),
                       getMessage("report.teacher.relativeAvgScore"),
                       getMessage("report.teacher.passRate"),
                       getMessage("report.teacher.excellentRate")
                       ]
            },
            toolbox: {
                feature : {
                    saveAsImage : {show: true}
                }
            },
        /*     dataZoom: [{
                type: 'slider',
                show: true,
                xAxisIndex: [0],
                left: '9%',
                bottom: -5,
                start: 10,
                end: 90 //初始化滚动条
            }], */
            xAxis: {
                axisLabel: {
                    interval:0,
                    rotate:60
                },
                data: tearchers
            },
            yAxis: [
                {
                    type: 'value'
                },
                {
                    type: 'value'
                }
            ],
            series: [{
                name: getMessage("report.teacher.maxScore"),
                type: 'bar',
                data: maxScores
            },{
                name: getMessage("report.teacher.minScore"),
                type: 'bar',
                data: minScores
            },{
                name: getMessage("report.teacher.avgScore"),
                type: 'bar',
                data: avgScores
            },{
                name: getMessage("report.teacher.relativeAvgScore"),
                type: 'line',
                yAxisIndex : 1,
                data: relativeAvgScore
            },{
                name: getMessage("report.teacher.passRate"),
                type: 'line',
                data: passRates
            },{
                name: getMessage("report.teacher.excellentRate"),
                type: 'line',
                data: excellentRates
            }]
        };
        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    }

    function redirect2Class(url, name, examId, subjectCode) {
        $("#teacherName").attr("value",name);
    	$("#searchForm").attr("action","${ctx}/admin/exam/reportSubjectTeacherClass");
        $("#searchForm").submit();
    }

    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
    	$("#searchForm").attr("action","${ctx}/admin/exam/reportSubjectTeacher");
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#pageSize").val('${query.pageSize}');
        if ($("#subjectCode").val() == null || $("#subjectCode").val() == '') {
            alert('请选择科目');
            return;
        }
    	$("#searchForm").attr("action","${ctx}/admin/exam/reportSubjectTeacher");
        $("#searchForm").submit();
        return false;
    }

    $(document).keydown(function (event) {
        if (event.keyCode == 13 || event.keyCode == 108) {
            goSearch();
            return false;
        }
    });
</script>
<div id="echart-view-content" class="container-fluid" style="display:none" align="center">
    <div id="echart-content" style="width: 100%;height:700px;"/>
</div>
</body>
</html>